#include <iostream>

using namespace std;

int main()
{
    long long int n, m;
    cin>>n>>m;
    if(n<m)
    {
        long long int p=n;
        n=m;
        m=p;
    }
    long long int broj_redara;
    if(n>=5 && m>=5)
    {
        broj_redara = (n+m)*2-4+((n-2)/2*2+(n-2)/2+(n-2)%2);
        cout<<broj_redara;
    }
    else
    {
        if(m==1)
        {
            cout<<n;
        }
        if(m==2)
        {
            cout<<n*2;
        }
        if(m==3)
        {
            broj_redara=(n+m)*2-4+(n-2)/2;
            cout<<broj_redara;
        }
        if(m==4)
        {
            broj_redara=(n+m)*2-4+n-2;
            cout<<broj_redara;
        }
    }

}